Redmine - Defect #6109

Projects are missing when attempting to assigning projects to a group
2010-08-11 19:31 - Per Malmberg

Status: Closed Start date: 2010-08-11
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Groups Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

This relates to todays trunk rev 3936 (all upgrade steps performed, previous version was dated to 2010-08-10).

1. As an admin user, go to Administration -> Groups -> select a group.
2. Open the Projects tab.
3. On the right you now have the "New project" box with a drop down box that lists the available projects and a list of available roles.

The issue at step 3 is that there are no projects available for selection, only the -- Please select -- text.

| have several (non-public) projects created and when | only had a single project defined, it was listed in the mentioned drop down
box so | have previously been able to add a group to a project.

| doubt it is related, but this is the only error | can find in the production.log

Processing GroupsController#add_users (for EDITED at 2010-08-11 09:35:48) [POST]
Parameters: {"commit"=>"Add", "action"=>"add_users",
"authenticity_token"=>"wMwXBzRW5uDjU0OYdNYMaJHbsDDgEKrFQxqJnKINONT

o=", "user_ids"=>["5"], "id"=>"8", "controller"=>"groups",

user_search"=>""" "=>

ActiveRecord::Statementinvalid (Mysql::Error: Duplicate entry '8-5' for key 1: INSERT INTO “groups_users™ (‘group_id’, °
user_id") VALUES (8, 5)):

app/controllers/groups_controller.rb:112:in “add_users'

passenger (2.2.15) lib/phusion_passenger/rack/request_handler.rb:92:in “process_request'

passenger (2.2.15) lib/phusion_passenger/abstract_request_handler.rb:207:in "'main_loop'

passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:441:in “start_request_handler'

passenger (2.2.15) lib/phusion_passengetr/railz/application_spawner.rb:381:in "handle_spawn_application’

passenger (2.2.15) lib/phusion_passenger/utils.rb:252:in “safe_fork'

passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:377:in "handle_spawn_application’

passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in*__send_ '

passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in “main_loop'

passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:196:in “start_synchronously’
passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:163:in “start’

passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:222:in “start’

passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:253:in “spawn_rails_application’
passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:126:in “lookup_or_add'
passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:247:in “spawn_rails_application’
passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:80:in “synchronize'
passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:79:in “synchronize'
passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:246:in “spawn_rails_application’
passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:145:in “spawn_application'
passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:278:in “handle_spawn_application’
passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in *__send_ '
passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in “main_loop'
passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:196:in “start_synchronously’

Mysql: 5.0.91

ruby 1.8.7 (2009-06-12 patchlevel 174)
Rails 2.3.8

Regards,

Per
History

#1 - 2010-08-11 19:37 - Felix Schéfer

Rails 2.3.8 is currently unsupported and could be the cause of the list not being populated.

#2 - 2010-08-11 20:40 - Per Malmberg

- Status changed from New to Resolved

You are correct, setting

RAILS_GEM_VERSION = '2.3.5' unless defined? RAILS_GEM_VERSION
instead of

RAILS_GEM_VERSION = '2.3.8' unless defined? RAILS_GEM_VERSION
solved the problem. I'm curious why it worked in the first place though?
Thanks for the quick solution!

#3 - 2010-08-11 22:17 - Felix Schéfer

- Status changed from Resolved to Closed

- Resolution set to Invalid
